# Uses of Interface
org.gitana.platform.client.billing.BillingTransaction

Packages that use BillingTransaction
Package
Description
org.gitana.platform.client.billing
org.gitana.platform.client.support
org.gitana.platform.client.tenant

## Uses of BillingTransaction in org.gitana.platform.client.billing

Classes in org.gitana.platform.client.billing that implement BillingTransaction
Modifier and Type
Class
Description
`class`
`BillingTransactionImpl`

## Uses of BillingTransaction in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return BillingTransaction
Modifier and Type
Method
Description
`BillingTransaction`
ObjectFactory.`billingTransaction(Tenant tenant, Response response)`
`BillingTransaction`
ObjectFactoryImpl.`billingTransaction(Tenant tenant, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type BillingTransaction
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<BillingTransaction>`
ObjectFactory.`billingTransactions(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
ObjectFactoryImpl.`billingTransactions(Tenant tenant, Response response)`

## Uses of BillingTransaction in org.gitana.platform.client.tenant

Methods in org.gitana.platform.client.tenant that return BillingTransaction
Modifier and Type
Method
Description
`BillingTransaction`
Tenant.`readBillingTransaction(String transactionId)`
`BillingTransaction`
TenantImpl.`readBillingTransaction(String transactionId)`
Methods in org.gitana.platform.client.tenant that return types with arguments of type BillingTransaction
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<BillingTransaction>`
Tenant.`listBillingTransactions()`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
Tenant.`listBillingTransactions(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
TenantImpl.`listBillingTransactions()`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
TenantImpl.`listBillingTransactions(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
Tenant.`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
Tenant.`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
TenantImpl.`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
TenantImpl.`queryBillingTransactions(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`